| Home | Libraries | People | FAQ | More

## Class template checked_stepper

boost::numeric::odeint::checked_stepper

## Synopsis

    // In header: <boost/numeric/odeint/integrate/check_adapter.hpp>

    template<typename Stepper, typename Checker,
             typename StepperCategory = typename base_tag<typename Stepper::stepper_category>::type>
    class checked_stepper {
    };

## Description

### Specializations

- Class template checked_stepper<Stepper, Checker, stepper_tag>

- Class template checked_stepper<ControlledStepper, Checker, controlled_stepper_tag>

- Class template checked_stepper<DenseOutStepper, Checker, dense_output_stepper_tag>